TIPStatus (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapred
Enum TIPStatus

    java.lang.Object
      java.lang.Enum<TIPStatus>
          org.apache.hadoop.mapred.TIPStatus

All Implemented Interfaces:
  Serializable, Comparable<TIPStatus>

    public enum TIPStatus

extends Enum<TIPStatus>

The states of a `TaskInProgress` as seen by the JobTracker.

Enum Constant Summary
`COMPLETE`
`FAILED`
`KILLED`
`PENDING`
`RUNNING`

Method Summary
`static TIPStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TIPStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final TIPStatus PENDING

### RUNNING

    public static final TIPStatus RUNNING

### COMPLETE

    public static final TIPStatus COMPLETE

### KILLED

    public static final TIPStatus KILLED

### FAILED

    public static final TIPStatus FAILED

Method Detail

### values

    public static TIPStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TIPStatus c : TIPStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TIPStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation